LIBRARY ieee;
USE ieee.std_logic_1164.all;
LIBRARY work;
USE work.defines.all;

entity instdec is
	port (
		inst: in std_logic_vector(15 downto 0);
		dest, src: out std_logic_vector(1 downto 0);
		I15, I14, I7, I13: out std_logic;
		operation: out std_logic_vector(3 downto 0);
		MemMode: out std_logic_vector(1 downto 0)
	);
end instdec;

architecture a of instdec is
begin
	I15 <= inst(15); I14<=inst(14); I13<=inst(13); I7 <= inst(7);
	dest <= inst(13 downto 12);
	src <= inst(1 downto 0);
	MemMode <= inst(3 downto 0);
	operation <= inst(11 downto 8);
end a;

		


		
